document.addEventListener("deviceready", onDeviceReady, false);

function onDeviceReady() {
    navigator.splashscreen.hide();
    var playAudioButton = document.getElementById("buttonPlayAudio");
    playAudioButton.addEventListener("click", function() {
        test()
    }, false); 
}

var getPhoneGapPath = function() {
    'use strict';
    var path = window.location.pathname;
    var phoneGapPath = path.substring(0, path.lastIndexOf('/') + 1);
    return phoneGapPath;
};

// Audio player
var test = function () {
    media = new Media(getPhoneGapPath()+"Wildlife.wav", onSuccess, onError);
    media.play({numberOfLoops: 1});           
};

var _pause = function () {
    media.pause();
};
    
var _stop = function () {
    media.stop();
};

// onSuccess Callback
function onSuccess() {
    console.log("playAudio():Audio Success");
}

// onError Callback 
function onError(error) {
    alert('code: ' + error.code + '\n' + 
          'message: ' + error.message + '\n');
}